## ardour 9.0.0~ufsg

=== libs/audiographer/wscript ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
AUDIOGRAPHER_VERSION = '0.0.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.0.0 = 0,0,0
AUDIOGRAPHER_LIB_VERSION = '0.0.0'

def options(opt):
    pass

def configure(conf):

    autowaf.check_pkg(conf, 'cppunit', uselib_store='CPPUNIT', atleast_version='1.12.0', mandatory=False)
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP', atleast_version='2.0', mandatory=False)
    autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB', atleast_version='2.2', mandatory=False)
    autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM', atleast_version='2.14.0', mandatory=False)
    autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD', atleast_version='2.14.0', mandatory=False)
    autowaf.check_pkg(conf, 'samplerate', uselib_store='SAMPLERATE', atleast_version='0.1.7', mandatory=False)
    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE', atleast_version='1.0.18', mandatory=False)
    autowaf.check_pkg(conf, 'fftw3f', uselib_store='FFTW3F', mandatory=True)

def build(bld):

    # Headers
    #bld.install_files('${INCLUDEDIR}/audiographer', bld.path.ant_glob('audiographer/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/general', bld.path.ant_glob('audiographer/general/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/sndfile', bld.path.ant_glob('audiographer/sndfile/*.h'))
    #bld.install_files('${INCLUDEDIR}/audiographer/utils', bld.path.ant_glob('audiographer/utils/*.h'))

    #bld.env['BUILD_TESTS'] = True
    bld.env['HAVE_ALL_GTHREAD'] = (bld.is_defined('HAVE_GLIB')
                                   and bld.is_defined('HAVE_GLIBMM')
                                   and bld.is_defined('HAVE_GTHREAD'))

    if bld.is_defined('HAVE_FFTW35F') and bld.env['build_target'] != 'mingw' and bld.env['build_target'] != 'msvc':
        bld.env['LIB_FFTW3F'] += ['fftw3f_threads']

    audiographer_sources = [
        'private/gdither/gdither.cc',
        'private/limiter/limiter.cc',
        'src/general/sndfile.cc',
        'src/general/sample_format_converter.cc',
        'src/routines.cc',
        'src/debug_utils.cc',
        'src/general/analyser.cc',
        'src/general/broadcast_info.cc',
        'src/general/demo_noise.cc',
        'src/general/loudness_reader.cc',
        'src/general/limiter.cc',
        'src/general/normalizer.cc'
        ]
    if bld.is_defined('HAVE_SAMPLERATE'):
        audiographer_sources += [ 'src/general/sr_converter.cc' ]

    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        audiographer              = bld.shlib(features = 'c cxx cshlib cxxshlib', source=audiographer_sources)
        # macros for this shared library
        audiographer.defines      = [ 'LIBAUDIOGRAPHER_DLL_EXPORTS=1' ]
    else:
        audiographer              = bld.stlib(features = 'c cxx cstlib cxxstlib', source=audiographer_sources)
        audiographer.cxxflags     = [ bld.env['compiler_flags_dict']['pic'] ]
        audiographer.cflags       = [ bld.env['compiler_flags_dict']['pic'] ]
        audiographer.defines      = []

    audiographer.name           = 'libaudiographer'
    audiographer.target         = 'audiographer'
    audiographer.export_includes = ['.', './src']
    audiographer.includes       = ['.', './src','../ardour','../temporal','../evoral']
    audiographer.uselib         = 'GLIB GLIBMM GTHREAD SAMPLERATE SNDFILE FFTW3F VAMPSDK VAMPHOSTSDK XML'
    audiographer.use            = 'libpbd'
    audiographer.vnum           = AUDIOGRAPHER_LIB_VERSION
    audiographer.install_path   = bld.env['LIBDIR']

    if bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'):
        # Unit tests
        obj              = bld(features = 'cxx cxxprogram')
        obj.source       = '''
                tests/test_runner.cc
                tests/type_utils_test.cc
                tests/utils/identity_vertex_test.cc
                tests/general/interleaver_test.cc
                tests/general/deinterleaver_test.cc
                tests/general/interleaver_deinterleaver_test.cc
                tests/general/chunker_test.cc
                tests/general/sample_format_converter_test.cc
                tests/general/peak_reader_test.cc
                tests/general/normalizer_test.cc
                tests/general/silence_trimmer_test.cc
        '''

        if bld.is_defined('HAVE_ALL_GTHREAD'):
            obj.source += '''
                    tests/general/threader_test.cc
            '''

        if bld.is_defined('HAVE_SNDFILE'):
            obj.source += '''
                    tests/sndfile/tmp_file_test.cc
            '''

        if bld.is_defined('HAVE_SAMPLERATE'):
            obj.source += '''
                    tests/general/sr_converter_test.cc
            '''

        obj.use          = 'libaudiographer'
        obj.uselib       = 'CPPUNIT GLIBMM SAMPLERATE SNDFILE FFTW3F VAMPSDK VAMPHOSTSDK'
        obj.target       = 'run-tests'
        obj.name         = 'audiographer-unit-tests'
        obj.install_path = ''

=== libs/staffpad/wscript ===
#!/usr/bin/env python

# Version of this package (even if built as a child)
MAJOR = '0'
MINOR = '0'
MICRO = '0'
STAFFPAD_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
STAFFPAD_LIB_VERSION = '0.0.0'

I18N_PACKAGE = 'staffpad'

staffpad_sources = [
        'TimeAndPitch.cpp',
        'FourierTransform_pffft.cpp',
        'pffft/pffft.c'
]

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld.stlib(features = 'c cxx cxxstlib', source = staffpad_sources)
    obj.cflags          = [ bld.env['compiler_flags_dict']['pic'], '-O3', '-ffast-math' ]
    obj.cxxflags        = [ bld.env['compiler_flags_dict']['pic'], '-O3', '-ffast-math' ]
    obj.export_includes = ['.']
    obj.includes        = ['.', 'pffft']
    obj.name            = 'staffpad'
    obj.target          = 'staffpad'
    obj.vnum            = STAFFPAD_LIB_VERSION
    obj.defines         = [ 'PACKAGE="' + I18N_PACKAGE + '"' ]

=== libs/vfork/wscript ===
#!/usr/bin/env python
import os
import sys

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    if bld.env['build_target'] == 'mingw' or bld.env['build_target'] == 'msvc':
        return

    obj = bld (features = 'c cprogram')
    obj.source = 'exec_wrapper.c'
    obj.target = 'ardour-exec-wrapper'
    obj.install_path = os.path.join(bld.env['LIBDIR'])
    obj.linkflags    = bld.env['compiler_flags_dict']['execstack']
    obj.defines = [
            '_POSIX_SOURCE',
            '_XOPEN_SOURCE=500',
    ]

=== libs/backends/portaudio/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import sys
import platform as PLATFORM

I18N_PACKAGE = 'portaudio-backend'

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'portaudio-2.0', uselib_store='PORTAUDIO', atleast_version='19')
    conf.check(header_name='pa_asio.h', define_name='WITH_ASIO', mandatory=False)

def build_portaudio (bld, name, defines):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = [ 'portaudio_backend.cc',
                   'portaudio_io.cc',
                   'winmmemidi_io.cc',
                   'winmmemidi_input_device.cc',
                   'winmmemidi_output_device.cc',
                   'midi_util.cc',
                 ]
    obj.includes = ['.']
    obj.name     = name
    obj.target   = name
    obj.use      = 'libardour libpbd'
    obj.uselib   = 'PORTAUDIO GLIBMM XML'
    if bld.env['build_target'] == 'mingw' and sys.platform == "win32":
        obj.stlib = ['portaudio']
        obj.lib = ['ole32', 'setupapi', 'uuid', 'winmm', 'ksuser', 'jack64']
    obj.install_path  = os.path.join(bld.env['LIBDIR'], 'backends')
    obj.defines = ['PACKAGE="' + I18N_PACKAGE + '"',
                   'ARDOURBACKEND_DLL_EXPORTS',
                   'USE_MMCSS_THREAD_PRIORITIES'
                  ]
    obj.defines += defines

def build(bld):
    build_portaudio (bld, 'portaudio_callback_backend', ['BACKEND_NAME="PortAudio (default)"'])

=== libs/surfaces/cc121/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            cc121.cc
            gui.cc
            cc121_interface.cc
            operations.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_cc121"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.', './cc121']
    obj.name         = 'libardour_cc121'
    obj.target       = 'ardour_cc121'
    obj.uselib       = 'XML OSX GLIBMM GIOMM PANGOMM'
    obj.use          = 'libardour libardour_cp libgtkmm2ext libpbd libytkmm'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== libs/tk/ydk/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import sys

# Version of this package (even if built as a child)
MAJOR = '2'
MINOR = '24'
MICRO = '23'
LIBYDK_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

I18N_PACKAGE = 'libydk'

libydk_sources = [
    'gdk.c',
    'gdkaliasdef.c',
    'gdkapplaunchcontext.c',
    'gdkcairo.c',
    'gdkcolor.c',
    'gdkcursor.c',
    'gdkdisplay.c',
    'gdkdisplaymanager.c',
    'gdkdnd.c',
    'gdkdraw.c',
    'gdkenumtypes.c',
    'gdkevents.c',
    'gdkfont.c',
    'gdkgc.c',
    'gdkglobals.c',
    'gdkimage.c',
    #'gdkkeynames.c',
    'gdkkeys.c',
    'gdkkeyuni.c',
    'gdkmarshalers.c',
    'gdkoffscreenwindow.c',
    'gdkpango.c',
    'gdkpixbuf-drawable.c',
    'gdkpixbuf-render.c',
    'gdkpixmap.c',
    'gdkpolyreg-generic.c',
    'gdkrectangle.c',
    'gdkregion-generic.c',
    'gdkrgb.c',
    'gdkscreen.c',
    'gdkselection.c',
    'gdkvisual.c',
    'gdkwindow.c',
    'gdkwindowimpl.c',
]

libydk_quartz_sources = [
    'gdkkeynames.c',
    'quartz/GdkQuartzView.c',
    'quartz/GdkQuartzWindow.c',
    'quartz/gdkapplaunchcontext-quartz.c',
    'quartz/gdkcolor-quartz.c',
    'quartz/gdkcursor-quartz.c',
    'quartz/gdkdisplay-quartz.c',
    'quartz/gdkdnd-quartz.c',
    'quartz/gdkdrawable-quartz.c',
    'quartz/gdkeventloop-quartz.c',
    'quartz/gdkevents-quartz.c',
    'quartz/gdkfont-quartz.c',
    'quartz/gdkgc-quartz.c',
    'quartz/gdkgeometry-quartz.c',
    'quartz/gdkglobals-quartz.c',
    'quartz/gdkim-quartz.c',
    'quartz/gdkimage-quartz.c',
    'quartz/gdkinput.c',
    'quartz/gdkkeys-quartz.c',
    'quartz/gdkmain-quartz.c',
    'quartz/gdkpixmap-quartz.c',
    'quartz/gdkproperty-quartz.c',
    'quartz/gdkscreen-quartz.c',
    'quartz/gdkselection-quartz.c',
    'quartz/gdkspawn-quartz.c',
    #'quartz/gdktestutils-quartz.c',
    'quartz/gdkvisual-quartz.c',
    'quartz/gdkwindow-quartz.c',
]

libydk_x11_sources = [
    #'x11/checksettings.c',
    'x11/gdkapplaunchcontext-x11.c',
    'x11/gdkasync.c',
    'x11/gdkcolor-x11.c',
    'x11/gdkcursor-x11.c',
    'x11/gdkdisplay-x11.c',
    'x11/gdkdnd-x11.c',
    'x11/gdkdrawable-x11.c',
    'x11/gdkevents-x11.c',
    'x11/gdkfont-x11.c',
    'x11/gdkgc-x11.c',
    'x11/gdkgeometry-x11.c',
    'x11/gdkglobals-x11.c',
    'x11/gdkim-x11.c',
    'x11/gdkimage-x11.c',
    'x11/gdkinput-none.c',
    #'x11/gdkinput-x11.c',
    #'x11/gdkinput-xfree.c',
    'x11/gdkinput.c',
    'x11/gdkkeys-x11.c',
    'x11/gdkmain-x11.c',
    'x11/gdkpixmap-x11.c',
    'x11/gdkproperty-x11.c',
    'x11/gdkscreen-x11.c',
    'x11/gdkselection-x11.c',
    #'x11/gdksettings.c',
    'x11/gdkspawn-x11.c',
    #'x11/gdktestutils-x11.c',
    'x11/gdkvisual-x11.c',
    'x11/gdkwindow-x11.c',
    'x11/gdkxftdefaults.c',
    'x11/gdkxid.c',
    'x11/xsettings-client.c',
    'x11/xsettings-common.c',
]

libydk_win32_sources = [
    'gdkkeynames.c',
    'win32/bdfcursor.c',
    'win32/gdkapplaunchcontext-win32.c',
    'win32/gdkcolor-win32.c',
    'win32/gdkcursor-win32.c',
    'win32/gdkdisplay-win32.c',
    'win32/gdkdnd-win32.c',
    'win32/gdkdrawable-win32.c',
    'win32/gdkevents-win32.c',
    'win32/gdkfont-win32.c',
    'win32/gdkgc-win32.c',
    'win32/gdkgeometry-win32.c',
    'win32/gdkglobals-win32.c',
    'win32/gdkim-win32.c',
    'win32/gdkimage-win32.c',
    'win32/gdkinput-win32.c',
    'win32/gdkinput.c',
    'win32/gdkkeys-win32.c',
    'win32/gdkmain-win32.c',
    'win32/gdkpixmap-win32.c',
    'win32/gdkproperty-win32.c',
    'win32/gdkscreen-win32.c',
    'win32/gdkselection-win32.c',
    'win32/gdkspawn-win32.c',
    #'win32/gdktestutils-win32.c',
    'win32/gdkvisual-win32.c',
    'win32/gdkwin32id.c',
    'win32/gdkwindow-win32.c',
]

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB', atleast_version='2.28', mandatory=True)
    autowaf.check_pkg(conf, 'pango', uselib_store='PANGO', atleast_version='1.20', mandatory=True)
    autowaf.check_pkg(conf, 'cairo', uselib_store='CAIRO', atleast_version='1.12', mandatory=True)
    autowaf.check_pkg(conf, 'pangocairo', uselib_store='PANGOCAIRO', mandatory=True)
    if conf.env['build_target'] == 'mingw' or conf.env['build_target'] == 'msvc':
        autowaf.check_pkg(conf, 'gio-windows-2.0', uselib_store='GIO-WINDOWS', mandatory=True)
    elif sys.platform != 'darwin':
        autowaf.check_pkg(conf, 'gio-unix-2.0', uselib_store='GIO-UNIX', mandatory=True)
        autowaf.check_pkg(conf, 'xrandr', uselib_store='RANDR', mandatory=False, atleast_version='1.2.99')
        autowaf.check_pkg(conf, 'xrandr', uselib_store='RANDR15', mandatory=False, atleast_version='1.5.0')
        conf.check_cc(header_name='X11/extensions/Xinerama.h',
                      lib='Xinerama', uselib_store="XINERAMA", define_name='HAVE_XFREE_XINERAMA',
                      execute = False, mandatory=False)
        autowaf.check_pkg(conf, 'xi', uselib_store='XINPUT2', mandatory=False, atleast_version='1.7.10')
    conf.check(header_name='unistd.h', define_name='HAVE_UNISTD_H',mandatory=False)

def build(bld):
    obj = bld.shlib(features = 'c cshlib')
    obj.cflags          = [ bld.env['compiler_flags_dict']['pic'], '-w' ]
    obj.export_includes = ['.', 'ydk']
    obj.includes        = ['.', 'ydk']
    obj.name            = 'libydk'
    obj.target          = 'ydk'
    obj.use             = [ 'libztk', 'libydk-pixbuf' ]
    obj.uselib          = 'GLIB PANGO CAIRO PANGOCAIRO'
    obj.defines         = [ 'HAVE_CONFIG_H', '_LARGEFILE64_SOURCE', '_REENTRANT', 'G_LOG_DOMAIN="Gdk"', 'GDK_COMPILATION', '_FILE_OFFSET_BITS=64',
                            'GDK_PIXBUF_DISABLE_DEPRECATED', 'G_DISABLE_CAST_CHECKS',
                            'G_DISABLE_SINGLE_INCLUDES', 'ATK_DISABLE_SINGLE_INCLUDES', 'GDK_PIXBUF_DISABLE_SINGLE_INCLUDES']
    obj.vnum            = LIBYDK_VERSION
    obj.install_path    = bld.env['LIBDIR']

    if sys.platform == 'darwin':
        obj.source   = libydk_sources + libydk_quartz_sources
        obj.cflags   += ['-xobjective-c']
        obj.uselib   += ' OSX' # -framework Cocoa -framework CoreFoundation -framework ApplicationServices
        obj.includes += ['quartz', 'quartz/ydk', 'ydk/quartz']
        obj.export_includes += ['quartz']
    elif bld.env['build_target'] == 'mingw' or bld.env['build_target'] == 'msvc':
        obj.source   = libydk_sources + libydk_win32_sources
        obj.cflags   += ['-mms-bitfields', '-Wl,--export-all-symbols']
        obj.uselib   += ' GIO-WINDOWS'
        obj.defines         += [ 'INSIDE_GDK_WIN32', 'DLL_EXPORT', 'PIC' ]
        obj.includes        += ['win32', 'win32/ydk']
        obj.export_includes += ['win32']
        obj.linkflags = ['-Wl,--export-all-symbols']
        obj.ldflags          = '-limm32 -lole32 -lgdi32 -lcomdlg32 -lwinspool -lcomctl32 -luuid'
    else:
        obj.source    = libydk_sources + libydk_x11_sources
        obj.uselib   += ' GIO-UNIX X11 XEXT XINERAMA RANDR DL'
        obj.includes        += ['x11', 'x11/ydk', 'ydk/x11']
        obj.export_includes += ['x11']

=== debian/changelog ===
ardour (1:9.0.0~ufsg-0ubuntu1) resolute; urgency=medium

  * New upstream relese 9.0.0
  * Refreshed patchset
  * d/copyright:
    - Update for dates
    - Fix missing field
    - Fix missing license (GPL-2)
    - Remove superfluous files, sections, and patterns.
  * d/control:
    - B-D s/libjack-dev/libjack-jackd2-dev/ (hard requirement)
  * d/*.install: Change to Ardour9 directories
  * d/rules: Change to Ardour9 directories

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 07 Feb 2026 11:22:37 -0800

ardour (1:8.12.0+ds-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 21:38:52 +0100

=== debian/control ===
Source: ardour
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 intltool,
 itstool,
# TODO: get rid of vendoring
 ladspa-sdk,
 libarchive-dev,
 libasound2-dev [linux-any],
 libaubio-dev,
 libboost-dev,
 libcairomm-1.0-dev,
 libcurl4-gnutls-dev,
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libglibmm-2.4-dev,
 libhidapi-dev,
 libjack-jackd2-dev,
 liblilv-dev,
 liblo-dev,
 liblrdf0-dev,
 libltc-dev,
 libpangomm-1.4-dev,
 libpulse-dev,
 libqm-dsp-dev,
 libreadline-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsigc++-2.0-dev,
 libsndfile1-dev,
# TODO: get rid of vendoring
 libsuil-dev,
 libtag-dev,
 libusb-1.0-0-dev,
 libwebsockets-dev,
 libxinerama-dev,
 libxrandr-dev,
 lv2-dev,
 python3,
 vamp-plugin-sdk,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://ardour.org
Vcs-Git: https://salsa.debian.org/multimedia-team/ardour.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ardour

Package: ardour
Architecture: any
Depends:
 ardour-data (<< ${source:Upstream-Version}.0~),
 ardour-data (>= ${source:Version}),
 ardour-lv2-plugins (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ardour-video-timeline,
Suggests:
 ${shlibs:Suggests},
Replaces:
 ardour3 (<< 1:3.5),
Breaks:
 ardour3 (<< 1:3.5),
Description: the digital audio workstation
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <https://ardour.org/>.

Package: ardour-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 ardour,
Breaks:
 ardour (<= 1:4.2~dfsg-1),
 ardour3 (<< 1:3.5),
Replaces:
 ardour (<= 1:4.2~dfsg-1),
 ardour3 (<< 1:3.5),
Description: digital audio workstation (data)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This package contains the architecture-independent data files.

Package: ardour-video-timeline
Architecture: all
Multi-Arch: foreign
Depends:
 ffmpeg (>= 7:1.2),
 harvid (>= 0.7.0),
 xjadeo (>= 0.6.4),
 ${misc:Depends},
Description: digital audio workstation - video timeline
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 This is a dependency package to add video timeline capabilities to ardour.

Package: ardour-lv2-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lv2-plugin,
Description: digital audio workstation - lv2 plugins set
 Ardour is providing a set of LV2 plugins:
  * a-comp.lv2
    - a compressor (mono & stereo versions)
  * a-exp.lv2
    - an expander (mono & stereo versions)
  * a-delay.lv2
    - a delay (mono version)
  * a-eq.lv2
    - an equaliser (mono version)
  * a-reverb.lv2
    - a reverberation (stereo version)
  * a-fluidsynth.lv2
    - a SF2 player (stereo version)
  * reasonablesynth.lv2
    - a reasonably good piano synth (stereo version)
 .
 This package allows these to be used by other hosts as well.

=== debian/rules ===
#!/usr/bin/make -f
#
# Robert Jordens <jordens@debian.org>
# © 2019, IOhannes m zmölnig <umlaeute@debian.org>
# © 2020, Olivier Humbert <trebmuh@librazik.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk
BUILD_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" +"%F")

# Ardour uses some c++11 features requiring atomic_load_8 and
# probably more, so we need to link with libatomic on
# armel, powerpc, powerpcspe, m68k, mips, mipsel, sh4, ...
# see also:
# - https://gcc.gnu.org/wiki/Atomic
# - https://gcc.gnu.org/wiki/Atomic/GCCMM/LIbrary
# - packaging for 'clasp', 'juce',...
# link with libatomic on architectures without built-in atomic
ifneq ($(strip $(filter $(DEB_HOST_ARCH), armel powerpc powerpcspe m68k mips mipsel sh4 riscv64)),)
        LDFLAGS += -latomic
endif

ifeq ($(DEB_HOST_ARCH), mips64el)
        CXXFLAGS += -mxgot
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel sh4))
        CXXFLAGS += -g1
endif

########### WAF options ############
waf-light = python3 $(CURDIR)/debian/waf/waf-light
waf-configure-options = \
	--freedesktop \
	--configdir=/etc/ \
	--noconfirm \
	--prefix=/usr/ \
	--libjack=weak \
	--no-phone-home \
	--use-external-libs \
	--optimize \
	--cxx17 \
	--ptformat \
	--lv2dir=/usr/lib/lv2 \
	$(empty)


DIST_TARGET = none
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	DIST_TARGET = i686
endif
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	DIST_TARGET = x86_64
endif

BACKENDS = jack,dummy
ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
# ALSA Backend is only available on Linux
	BACKENDS = jack,alsa,dummy,pulseaudio
else
	waf-configure-options += \
		--no-fpu-optimization \
		$(empty)
endif

ARDOUR_LIBRARY_PATH := /usr/lib/ardour9/

waf-configure-options += \
	--with-backends=$(BACKENDS) \
	--dist-target=$(DIST_TARGET) \
	$(empty)

DEB_WAF_INVOKE = \
	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
	$(waf-light) -v --destdir=$(CURDIR)/debian/tmp

deb_revision := libs/ardour/revision.cc
waf_extras := debian/waf/waflib/extras/autowaf.py debian/waf/waflib/extras/misc.py

########### build overrides options ############
%:
	dh $@

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^\[[ 0-9]+/[ 0-9]+\] Compiling .*"

override_dh_auto_build: genfiles
	$(DEB_WAF_INVOKE) configure $(waf-configure-options)
	$(DEB_WAF_INVOKE) build i18n_mo

override_dh_auto_install: override_dh_auto_build manpages genfiles
	$(DEB_WAF_INVOKE) install
	for res in 16 22 32 48; do \
		mkdir -p $(CURDIR)/debian/ardour/usr/share/icons/hicolor/$${res}x$${res}/mimetypes; \
		cp $(CURDIR)/gtk2_ardour/icons/application-x-ardour_$${res}px.png \
			$(CURDIR)/debian/ardour/usr/share/icons/hicolor/$${res}x$${res}/mimetypes/application-x-ardour.png ; \
	done

## ardour includes a couple of private lib*.so files, which make
## dh_makeshlibs emit a useless call to `ldconfig` in the postinst script.
## since we don't have any public libraries, we just suppress that call.
override_dh_makeshlibs:
	dh_makeshlibs --no-scripts
override_dh_shlibdeps:
	dh_shlibdeps -- -l$(CURDIR)/debian/ardour/$(ARDOUR_LIBRARY_PATH)

execute_before_dh_clean: manpageclean
	find . -name "*.pyc" -delete || true
	find . -name "*.mo" -delete || true

########### build intermediates ############
.PHONY: genfiles
genfiles: $(deb_revision) $(waf_extras)

$(deb_revision):
	echo '#include "ardour/revision.h"' > $@
	echo "namespace ARDOUR { const char* revision = \"$(subst +,~,$(DEB_VERSION_UPSTREAM_REVISION))\"; const char* date = \"$(BUILD_DATE)\"; }" >> $@

debian/waf/waflib/extras/%: tools/%
	cp $< $@

MANPAGES = ardour9-copy-mixer.1 \
	ardour9-export.1 \
	ardour9-new_empty_session.1 \
	ardour9-new_session.1 \
	ardour9-lua.1 \
	$(empty)
.PHONY: manpages manpageclean
$(MANPAGES): debian/ardour-utils.1
	cp $^ $@
manpages: $(MANPAGES)
manpageclean:
	rm -f $(MANPAGES)

################ d/copyright helper ##############
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|.*\.ico|.*\.icns|.*\.png|.*\.xcf|.*\.wav|.*\.flac|.*\.ogg|.*\.touchosc|.*\.tosc|.*\.pdf|.*\.woff
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## ardour 9.0.0%2Bds

=== libs/surfaces/launch_control_xl/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features='cxx cxxshlib')
    obj.source = '''
        launch_control_xl.cc
        controllers.cc
        interface.cc
        midi_byte_array.cc
        leds.cc
        gui.cc
    '''
    obj.defines = ['PACKAGE="ardour_launch_control_xl"']
    obj.defines += ['ARDOURSURFACE_DLL_EXPORTS']
    obj.defines += ['VERSIONSTRING="' + bld.env['VERSION'] + '"']
    obj.includes = ['.', './launch_control_xl']
    obj.name = 'libardour_launch_control_xl'
    obj.target = 'ardour_launch_control_xl'
    obj.uselib = 'SIGCPP XML OSX PANGOMM GLIBMM GIOMM'
    obj.use = 'libardour libardour_cp libpbd libevoral libcanvas libtemporal libytkmm'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== libs/surfaces/launchkey_4/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

lpxm_sources = [
    'launchkey_4.cc',
    'gui.cc',
]    

def options(opt):
    pass

def configure(conf):
    autowaf.check_pkg(conf, 'pangomm-1.4', uselib_store='PANGOMM', atleast_version='1.4', mandatory=True)
    autowaf.check_pkg(conf, 'cairomm-1.0', uselib_store='CAIROMM', atleast_version='1.8.4', mandatory=True)


def build(bld):
#    obj = bld(features = 'cxx cxxshlib')
#    obj.source         = list(lpxm_sources)
#    obj.source        += [ 'launchkey_4_interface.cc' ]
#    obj.defines        = [ 'PACKAGE="ardour_launchkey_mini"' ]
#    obj.defines       += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
#    obj.defines       += [ 'LAUNCHKEY_MINI' ]
#    obj.includes       = ['.', ]
#    obj.name           = 'libardour_launchkey_mini'
#    obj.target         = 'ardour_launchkey_mini'
#    obj.uselib         = 'CAIROMM PANGOMM USB SIGCPP XML OSX GLIBMM GIOMM'
#    obj.use            = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal libytkmm'
#    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'surfaces')

    obj = bld(features = 'cxx cxxshlib')
    obj.source         = list(lpxm_sources)
    obj.source        += [ 'launchkey_4_interface.cc' ]
    obj.defines        = [ 'PACKAGE="ardour_launchpad_x"' ]
    obj.defines       += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes       = ['.', ]
    obj.name           = 'libardour_launchkey_4'
    obj.target         = 'ardour_launchkey_4'
    obj.uselib         = 'CAIROMM PANGOMM USB SIGCPP XML OSX GLIBMM GIOMM'
    obj.use            = 'libardour libardour_cp libardour_midisurface libgtkmm2ext libpbd libevoral libcanvas libtemporal libytkmm'
    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'surfaces')

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ardour
 Section: sound
-Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
@@ -50,8 +49,7 @@
  lv2-dev,
  python3,
  vamp-plugin-sdk,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://ardour.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/ardour.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ardour

=== debian/rules ===
--- 
+++ 
@@ -128,7 +128,7 @@
 debian/waf/waflib/extras/%: tools/%
 	cp $< $@
 
-MANPAGES = ardour9-copy-mixer.1 \
+MANPAGES = \
 	ardour9-export.1 \
 	ardour9-new_empty_session.1 \
 	ardour9-new_session.1 \
